Search documentation of polar_express

# PolarExpress.Schemas.ValidatedLicenseKey (polar_express v0.1.5)

Copy Markdown View Source

ValidatedLicenseKey

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.ValidatedLicenseKey{
      activation: PolarExpress.Schemas.LicenseKeyActivationBase.t() | nil,
      benefit_id: String.t() | nil,
      created_at: DateTime.t() | nil,
      customer: PolarExpress.Schemas.LicenseKeyCustomer.t() | nil,
      customer_id: String.t() | nil,
      display_key: String.t() | nil,
      expires_at: DateTime.t() | nil,
      id: String.t() | nil,
      key: String.t() | nil,
      last_validated_at: DateTime.t() | nil,
      limit_activations: integer() | nil,
      limit_usage: integer() | nil,
      modified_at: DateTime.t() | nil,
      organization_id: String.t() | nil,
      status: PolarExpress.Schemas.LicenseKeyStatus.t() | nil,
      usage: integer() | nil,
      validations: integer() | nil
    }

- `activation` - Nullable.
- `benefit_id` - The benefit ID. Format: uuid4.
- `created_at` - Creation timestamp of the object. Format: date-time.
- `customer`
- `customer_id` - Format: uuid4.
- `display_key`
- `expires_at` - Nullable.
- `id` - The ID of the object. Format: uuid4.
- `key`
- `last_validated_at` - Nullable.
- `limit_activations` - Nullable.
- `limit_usage` - Nullable.
- `modified_at` - Last modification timestamp of the object. Nullable.
- `organization_id` - Format: uuid4.
- `status`
- `usage`
- `validations`

## Functions

# schema_name()